%define api		1.0
%define major		2
%define gir_major	1.0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

Name:		gupnp-av
Version:	0.12.6
Release:	%mkrel 1
Summary:	A collection of helpers for building UPnP AV applications
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gupnp.org/
Source0:	http://download.gnome.org/sources/%{name}/0.10.0/%{name}-%{version}.tar.xz
#--------------------------------------
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gssdp-devel
BuildRequires: %{_lib}gupnp-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: vala-tools
BuildRequires: gtk-doc
#--------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video) 
applications using GUPnP.

%package -n %{libname}
Summary:	A collection of helpers for building UPnP AV applications
Group:		System/Libraries

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video) 
applications using GUPnP.

%package -n %{develname}
Summary:	Development package for gupnp-av
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with gupnp-av.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libgupnp-av-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GUPnPAV-%{gir_major}.typelib
%{_datadir}/gupnp-av/av.xsd
%{_datadir}/gupnp-av/didl-lite-v2.xsd
%{_datadir}/gupnp-av/simpledc20021212.xsd
%{_datadir}/gupnp-av/upnp.xsd
%{_datadir}/gupnp-av/xml.xsd
%{_datadir}/vala/vapi/gupnp-av-1.0.deps
%{_datadir}/vala/vapi/gupnp-av-1.0.vapi


%files -n %{develname}
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/gupnp-av/
%{_includedir}/gupnp-av-%{api}
%{_libdir}/pkgconfig/gupnp-av-%{api}.pc
%{_libdir}/libgupnp-av-%{api}.so
%{_datadir}/gir-1.0/GUPnPAV-%{api}.gir


%changelog
* Sat Aug 16 2014 bb <bb> 0.12.6-1pclos2014
- update

* Tue Feb 04 2014 bb <bb> 0.12.5-1pclos2014
- update

* Sun Sep 25 2011 Texstar <texstar at gmail.com> 0.10.1-1pclos2011
- 0.10.1
